﻿using Borepin.Model;
using Borepin.Service.Connections;
using Prism.Mvvm;
using Prism.Navigation;

namespace Borepin.PageModel
{
    public class ServerPageModel : BindableBase, INavigationAware
    {
        private INavigationService _NavigationService;
        private IConnectionService _ConnectionService;

        public ServerPageModel(INavigationService navigationService, IConnectionService connectionService)
        {
            _NavigationService = navigationService;
            _ConnectionService = connectionService;
        }

        #region Properties
        private Connection _Connection_Item;
        public Connection Connection_Item
        {
            get => _Connection_Item;
            set => SetProperty(ref _Connection_Item, value);
        }
        #endregion

        #region INavigationAware
        public void OnNavigatedFrom(INavigationParameters parameters)
        {
            
        }

        public void OnNavigatedTo(INavigationParameters parameters)
        {
            Connection_Item = parameters["instance"] as Connection;
        }
        #endregion
    }
}
